<?php

//idAgenteHASH è hash('sha512',idAgente*(idAgente+1))

@$idagentehash = $_GET['idagentehash'];

if($idagentehash!='') {
    include("db_connect.php");

    @$citta = $_GET['citta'];

    @$cluster = $_GET['cluster'];

    @$ordinamento = $_GET['ordinamento'];


    $filtro="tb_clienti.contrattualizzabile=1";

    //filtro citta
    if (isset($citta) && ($citta!= "Tutte") && ($citta!= "null")) {
        $filtro.=" AND sl_localita='".$citta."'";
    }

    //filtro cluster
    if (isset($cluster) && ($cluster!= 0)) {
        $filtro.=" AND id_cluster=".$cluster;
    }


    $orderby=" ORDER BY ragione_sociale ASC";
    if (isset($ordinamento)) {
        list($campo,$verso)=explode("|",$ordinamento);
        $orderby=" ORDER BY $campo $verso";
    }


    $stmt=$dbh->prepare("SELECT id_agente FROM tb_agenti WHERE (idagentehash = ?) LIMIT 1");
    $stmt->execute(array($idagentehash));

    if ($agente=$stmt->fetch(PDO::FETCH_ASSOC)) {
        //perfetto, ora estraggo tutti i dati dalla anagrafica clienti
        $query="SELECT tb_clienti.*,tb_contratti.id_contratto FROM tb_clienti LEFT JOIN tb_contratti ON tb_contratti.id_cliente=tb_clienti.id_cliente WHERE tb_clienti.id_agente=? AND $filtro $filtrosearch $orderby ";
        //$ret['query']=$query;
        $stmt=$dbh->prepare($query);
        $stmt->execute(array($agente['id_agente']));
        $clienti=Array();
        while ($row=$stmt->fetch(PDO::FETCH_ASSOC)) {
            if ($row['id_contratto']>0) {
                $row['stringacontrattualizzabile']="CONTRATTO ATTIVO";
            } else {
                $row['id_contratto']=0;
                $row['stringacontrattualizzabile']="contrattualizzabile: sì";
            }
            $clienti[]=$row;
        }

        //ora estraggo le città, per il filtro delle città
        $query="SELECT DISTINCT sl_localita FROM tb_clienti WHERE tb_clienti.id_agente=? AND $filtro $filtrosearch order by sl_localita ";
        //$ret['query']=$query;
        $stmt=$dbh->prepare($query);
        $stmt->execute(array($agente['id_agente']));
        $citta=Array();
        while ($row=$stmt->fetch(PDO::FETCH_ASSOC)) {
            $citta[]=$row;
        }

        $ret['result']=true;
        $ret['id_agente']=$agente['id_agente'];
        $ret['clienti']=$clienti;
        $ret['citta']=$citta;
        echo json_encode($ret);
        exit;

    } else {
        $ret['result']=false;
        $ret['error']='Id Agente errato!';
        echo json_encode($ret);
        exit;
    }


} else {
    $ret['result']=false;
    //$ret['post']=$_POST;
    $ret['error']='Parametri non inseriti!';
    echo json_encode($ret);
    exit;
}

?>