<?php

if($_GET['idagentehash']!='') {
    include("db_connect.php");
    $idagentehash = (string)$_GET['idagentehash'];

    $stmt=$dbh->prepare("SELECT id_agente FROM tb_agenti WHERE (idagentehash = ?) LIMIT 1");
    $stmt->execute(array($idagentehash));

    if ($agente=$stmt->fetch(PDO::FETCH_ASSOC)) {
        //ora controllo che tutti i campi obbligatori siano stati inseriti
        $errore='';

        if ((isset($_GET['contrattonuovo_idcliente'])) && $_GET['contrattonuovo_idcliente']>0) {
        } else {
            $ret['result']=false;
            $ret['error']="Manca l'id del cliente nuovo non possiamo salvare!";
            echo json_encode($ret);
            exit;
        }

        if ((isset($_GET['contratto_idcluster'])) && $_GET['contratto_idcluster']>0) {
        } else {
            $ret['result']=false;
            $ret['error']="Manca il cluster del contratto non possiamo salvare!";
            echo json_encode($ret);
            exit;
        }

        //ci sono 2 tipi di gruppi di campi
        //se il cliente è nel cluster grandi clienti, c'è solo la prima parte (allestimento)
        //inoltre se il cliente è un vecchio cliente, allora tipologia_planogramma e metri lineari non sono richiesti

        //grandi clienti vecchio contratto
        if (($_GET['contratto_idcluster']!=1) && ($_GET['nuovocontratto']==0)) {
            //non serve niente, siamo a posto così
        }

        //grandi clienti nuovo contratto
        if (($_GET['contratto_idcluster']!=1) && ($_GET['nuovocontratto']==1)) {

            //intanto guardo se ho category_2017
            if ($_GET['category_2017']==1) {
                //controllo tipologia_planogramma e metri_lineari_merchandise
                if ((isset($_GET['tipologia_planogramma'])) && $_GET['tipologia_planogramma']!='Nessuno') {
                } else {
                    $ret['result']=false;
                    $ret['error']="Selezionare la tipologia di planogramma!";
                    echo json_encode($ret);
                    exit;
                }
                if ((isset($_GET['cm_a_parete'])) && $_GET['cm_a_parete']>0) {
                } else {
                    $ret['result']=false;
                    $ret['error']="Selezionare spazio lineare per il merchandise (in cm)!";
                    echo json_encode($ret);
                    exit;
                }
                //qui siamo a posto
            } else if ($_GET['merchandising_base']==1) {
                //qui siamo a posto
            } else {
                $ret['result']=false;
                $ret['error']="Selezionare category oppure merchandising base!";
                echo json_encode($ret);
                exit;
            }
        }


        if ($_GET['contratto_idcluster']==1) {
            if ($_GET['nuovocontratto']==1) {
                //intanto guardo se ho category_2017
                if ($_GET['category_2017']==1) {
                    //controllo tipologia_planogramma e metri_lineari_merchandise
                    if ((isset($_GET['tipologia_planogramma'])) && $_GET['tipologia_planogramma']!='Nessuno') {
                    } else {
                        $ret['result']=false;
                        $ret['error']="Selezionare la tipologia di planogramma!";
                        echo json_encode($ret);
                        exit;
                    }
                    if ((isset($_GET['cm_a_parete'])) && $_GET['cm_a_parete']>0) {
                    } else {
                        $ret['result']=false;
                        $ret['error']="Selezionare spazio lineare per il merchandise (in cm)!";
                        echo json_encode($ret);
                        exit;
                    }
                    //qui siamo a posto
                } else if ($_GET['merchandising_base']==1) {
                    //qui siamo a posto
                } else {
                    $ret['result']=false;
                    $ret['error']="Selezionare category oppure merchandising base!";
                    echo json_encode($ret);
                    exit;
                }
            } else {
                //ci deve essere conferma_category oppure merchandising_base
                if ($_GET['conferma_category']==1 || $_GET['merchandising_base']==1) {
                    //siamo a posto
                } else {
                    $ret['result']=false;
                    $ret['error']="Selezionare conferma category oppure merchandising base!";
                    echo json_encode($ret);
                    exit;
                }
            }
            //ora possiamo proseguire per entrambi (contratto vecchio oppure nuovo)
            //campagna vetrine
            if (isset($_GET['campagna-vetrine'])) {
                if ($_GET['campagna-vetrine']=='Aderisco' || $_GET['campagna-vetrine']=='Non Aderisco') {

                } else {
                    $ret['result']=false;
                    $ret['error']="Selezionare adesione a campagna vetrine!";
                    echo json_encode($ret);
                    exit;
                }
            }
            //Formazione
            if (
                (isset($_GET['formazione'])) && ($_GET['formazione']=='1')
            ) {
            } else {
                $ret['result']=false;
                $ret['error']="Selezionare la formazione!";
                echo json_encode($ret);
                exit;
            }

            //Impegni
/*            if (
                (isset($_GET['impegni_assortimento'])) && ($_GET['impegni_assortimento']=='on') ||
                (isset($_GET['impegni_merchandising'])) && ($_GET['impegni_merchandising']=='on') ||
                (isset($_GET['impegni_eventi_mamma'])) && ($_GET['impegni_eventi_mamma']=='on')
            ) {
            } else {
                $ret['result']=false;
                $ret['error']="Selezionare almeno un tipo di impegno!";
                echo json_encode($ret);
                exit;
            }
*/
        }

        //se sono arrivato fino a qui vuol dire che non ci sono errori nel form e tutti i campi obbligaori sono arrivati
        $query="INSERT INTO tb_contratti SET ";

        $set=array();
        $value=array();
        $now=date("Y-m-d H:i:s");

        $set[]="id_agente=".$agente['id_agente'];

        $set[]="id_cliente=".$_GET['contrattonuovo_idcliente'];

        $set[]="data_contratto='".$now."'";

        $set[]="conferma_category=".$_GET['conferma_category'];

        $set[]="category_2017=".$_GET['category_2017'];

        $set[]="merchandising_base=".$_GET['merchandising_base'];


        $set[]="cm_a_parete='".$_GET['cm_a_parete']."'";

        $set[]="tipologia_planogramma='".$_GET['tipologia_planogramma']."'";

        if ($_GET['campagna-vetrine']=='Aderisco') {
            $set[]="campagne_vetrina=1";
        } else {
            $set[]="campagne_vetrina=0";
        }

        if ((isset($_GET['formazione'])) && ($_GET['formazione']=='1')) {
            $set[]="formazione=1";
        } else {
            $set[]="formazione=0";
        }


        if ((isset($_GET['locandina'])) && ($_GET['locandina']=='1')) {
            $set[]="locandina=1";
        } else {
            $set[]="locandina=0";
        }

        if ((isset($_GET['inviti'])) && ($_GET['inviti']=='1')) {
            $set[]="inviti=1";
        } else {
            $set[]="inviti=0";
        }

        if ((isset($_GET['facebook'])) && ($_GET['facebook']=='1')) {
            $set[]="facebook=1";
            $set[]="ha_facebook=".$_GET['ha_facebook'];
            $set[]="non_ha_facebook=".$_GET['non_ha_facebook'];
            if ($_GET['ha_facebook']==1) {
                $set[]="indirizzo_facebook='".$_GET['indirizzo_facebook']."'";
            }
        } else {
            $set[]="facebook=0";
            $set[]="ha_facebook=0";
            $set[]="non_ha_facebook=0";
            $set[]="indirizzo_facebook=NULL";
        }

        if ((isset($_GET['campioni'])) && ($_GET['campioni']=='1')) {
            $set[]="campioni=1";
        } else {
            $set[]="campioni=0";
        }

        if ((isset($_GET['newsletter'])) && ($_GET['newsletter']=='1')) {
            $set[]="newsletter=1";
        } else {
            $set[]="newsletter=0";
        }

        if ((isset($_GET['sconti'])) && ($_GET['sconti']=='20')) {
            $set[]="sconto_10=0";
            $set[]="sconto_20=1";
        } else if ((isset($_GET['sconti'])) && ($_GET['sconti']=='10')) {
            $set[]="sconto_10=1";
            $set[]="sconto_20=0";
        } else {
            $set[]="sconto_10=0";
            $set[]="sconto_20=0";
        }

        if ((isset($_GET['impegni_assortimento'])) && ($_GET['impegni_assortimento']=='1')) {
            $set[]="impegni_assortimento=1";
        } else {
            $set[]="impegni_assortimento=0";
        }
        if ((isset($_GET['impegni_merchandising'])) && ($_GET['impegni_merchandising']=='1')) {
            $set[]="impegni_merchandising=1";
        } else {
            $set[]="impegni_merchandising=0";
        }
        if ((isset($_GET['impegni_eventi_mamma'])) && ($_GET['impegni_eventi_mamma']=='1')) {
            $set[]="impegni_eventi_mamma=1";
        } else {
            $set[]="impegni_eventi_mamma=0";
        }

        if ($_GET['firmaclienteimage']!='') {
            $set[]="firma_cliente='".$_GET['firmaclienteimage']."'";
        }

        $queryset=join(",",$set);

        $dbh->beginTransaction();

        $now=date("Y-m-d H:i:s");
        $url="contrattoget.php";
        $descrizione=json_encode($_GET)."----".$query.$queryset;
        $querynot="INSERT INTO notifiche (url,descrizione,data) VALUES (?,?,?)";
        $stmtnot=$dbh->prepare($querynot);
        $stmtnot->execute(array($url,$descrizione,$now));

        if ($stmt=$dbh->query($query.$queryset)) {

            //poi devo aggiornare la tabella clienti
            // e mettere l'id_contratto anche nella tabella dei clienti
           $lastId = $dbh->lastInsertId();
           $id_contratto=$lastId;

/*
            $query2="UPDATE tb_clienti SET id_contratto=$lastId WHERE id_cliente=".$_GET['contrattonuovo_idcliente'];
            $stmt2=$dbh->query($query2);
*/
            $dbh->commit();

            $query1="SELECT * FROM tb_contratti WHERE id_contratto=?";
            $stmt1=$dbh->prepare($query1);
            $stmt1->execute(array($lastId));
            $CONTRATTO=$stmt1->fetch(PDO::FETCH_ASSOC);

            $query2="SELECT * FROM tb_clienti WHERE id_cliente=?";
            $stmt2=$dbh->prepare($query2);
            $stmt2->execute(array($CONTRATTO['id_cliente']));
            $CLIENTE=$stmt2->fetch(PDO::FETCH_ASSOC);
//            $CONTRATTO['immagine']=$CLIENTE['imgtemp'];

            $query2="SELECT * FROM tb_agenti WHERE id_agente=?";
            $stmt2=$dbh->prepare($query2);
            $stmt2->execute(array($CONTRATTO['id_agente']));
            $AGENTE=$stmt2->fetch(PDO::FETCH_ASSOC);

            //verifico che contratto cliente e agente esistano
            if (($CONTRATTO['id_contratto']>0) and ($CLIENTE['id_cliente']>0) and ($AGENTE['id_agente']>0)) {

            } else {
                $ret['result']=false;
                $ret['error']="Errore parametri non corretti!";
                echo json_encode($ret);
                return true;
                exit;
            }

            if ($CONTRATTO['nr_contratto']==0) {

                $query="SELECT max(nr_contratto) as nr_contratto FROM tb_contratti WHERE 1";
                $stmt=$dbh->query($query);
                $row=$stmt->fetch(PDO::FETCH_ASSOC);
                $CONTRATTO['nr_contratto']=$row['nr_contratto']+1;

                $query="UPDATE tb_contratti SET nr_contratto=?,foto=? WHERE id_contratto=?";
                $stmt=$dbh->prepare($query);
                if ($stmt->execute(array($CONTRATTO['nr_contratto'],$CLIENTE['imgtemp'],$id_contratto))) {

                } else {
                    $ret['result']=false;
                    $ret['errore']="Errore inserimento contratto e aggiornamento numero contratto!";
                    echo json_encode($ret);
                    exit;

                }

            }

            //da nuove disposizioni, finiamo qui, niente email e niente pdf né immagine in mail
            $ret['result']=true;
            $ret['id_contratto']=$lastId;
            echo json_encode($ret);
            exit;

        } else {
            $dbh->rollBack();
            $ret['result']=false;
            $ret['queryset']=$queryset;
            $ret['error']='Errore creazione contratto!';
            echo json_encode($ret);
            exit;
        }
    } else {
        $ret['result']=false;
        $ret['error']='Id Agente errato!';
        echo json_encode($ret);
        exit;
    }


} else {
    $ret['result']=false;
    //$ret['post']=$_GET;
    $ret['error']='Parametri non inseriti!';
    echo json_encode($ret);
    exit;
}

?>