<?php

//se si vuole mettere il conteggio delle righe interessate dalla select
// http://php.net/manual/en/pdostatement.rowcount.php
/*
 * MySQL does not seem to return anything in rowCount for a select statement, but you can easily and efficiently get the row count as follows:

class db extends PDO {
  public function last_row_count() {
    return $this->query("SELECT FOUND_ROWS()")->fetchColumn();
  }
}

$myDb = new db('mysql:host=myhost;dbname=mydb', 'login', 'password' );

Then, after running your query:

if ( $myDb->last_row_count() == 0 ) {
  echo "Do something!";
  }


 */

	$server = "mysql.studioweb19.it";
	$usernam = "studioweb19it";
	$passwor = "uNA2qa*V";
	$database = "mustela";

//----------- (i) connessione mysqli ---------------------------------------------------------------------------

	$conn = new mysqli($server, $usernam, $passwor, $database);

		if ($conn->connect_error) {
			die("Connection failed: " . $conn->connect_error);
		}
//----------- (f) connessione mysqli ---------------------------------------------------------------------------

//----------- (i) connessione PDO ---------------------------------------------------------------------------


try {
    date_default_timezone_set('Europe/Rome');
    $dbh = new PDO('mysql:host='.$server.';dbname='.$database, $usernam, $passwor);
    $dbh->exec("set names utf8");
//    foreach($dbh->query('SELECT * from FOO') as $row) {
//        print_r($row);
//    }
//    $dbh = null;
} catch (PDOException $e) {
    print "Error!: " . $e->getMessage() . "<br/>";
    die();
}
//----------- (f) connessione PDO ---------------------------------------------------------------------------


if (!function_exists('convertDate')) :
    function convertDate($date,$format='d/m/Y')
    {
        $d = DateTime::createFromFormat('Y-m-d', $date);
        if ($d && $d->format('Y-m-d') === $date) {
            //è una data tipo Y-m-d allora la converto in $format (d/m/Y)
            return $d->format($format);
        } else {
            //non è una data, restituisco la stringa come è arrivata
            return $date;
        }
    }
endif;

?>