<?php
//http://stackoverflow.com/questions/18382740/cors-not-working-php
if (isset($_SERVER['HTTP_ORIGIN'])) {
    header("Access-Control-Allow-Origin: {$_SERVER['HTTP_ORIGIN']}");
    header('Access-Control-Allow-Credentials: true');
    header('Access-Control-Max-Age: 86400');    // cache for 1 day
}

// Access-Control headers are received during OPTIONS requests
if ($_SERVER['REQUEST_METHOD'] == 'OPTIONS') {

    if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_METHOD']))
        header("Access-Control-Allow-Methods: GET, POST, OPTIONS");

    if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS']))
        header("Access-Control-Allow-Headers:        
            {$_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS']}");

    exit(0);
}

$postdata = file_get_contents("php://input");
$request = json_decode($postdata);

if($request->User!='' and $request->Password!='') {
    include("db_connect.php");
    $User = (string)$request->User;
    $Password = (string)$request->Password; // Recupero la password criptata.
    $stmt=$dbh->prepare("SELECT * FROM tb_agenti WHERE (User = ? OR Email= ?) LIMIT 1");
    $stmt->execute(array($User,$User));

    if ($row=$stmt->fetch(PDO::FETCH_ASSOC)) {
        $hashed_password = hash('sha512', $Password.$row['Salt']); // codifica la password usando una chiave univoca.
        if ($hashed_password==$row['Password']) {

            $numb=$row['id_agente']*($row['id_agente']+1);
            $idagentehashed=hash('sha512', $numb);

            $agente['id_agente']=$row['id_agente'];
            $agente['idagentehash']=$idagentehashed;
            $agente['Nome']=$row['Nome'];
            $agente['Cognome']=$row['Cognome'];
            $agente['Email']=$row['Email'];
            $ret['result']=true;
            $ret['agente']=$agente;

            //UPDATE versione della app
            $query2="UPDATE tb_agenti set idagentehash=? WHERE id_agente=?";
            $stmt=$dbh->prepare($query2);
            $stmt->execute(array($idagentehashed,$row['id_agente']));

            echo json_encode($ret);
            exit;
        } else {
            $ret['result']=false;
            $ret['error']='Password errata!';
            echo json_encode($ret);
            exit;
        }
    } else {
        $ret['result']=false;
        $ret['error']='Username errato!';
        echo json_encode($ret);
        exit;
    }


} else {
    $ret['result']=false;
    //$ret['post']=$_POST;
    $ret['error']='Credenziali non inserite!';
    echo json_encode($ret);
    exit;
}

?>