<?php

//idAgenteHASH è hash('sha512',idAgente*(idAgente+1))

if($_GET['idagentehash']!='') {
    include("db_connect.php");
    $idagentehash = (string)$_GET['idagentehash'];
    @$citta = $_GET['citta'];

    $filtro="1=1";

    //filtro citta
    if (isset($citta) && ($citta!= "Tutte") && ($citta!= "null")) {
        $filtro.=" AND sl_localita='".$citta."'";
    }

    //filtro cluster
    if (isset($_GET['cluster']) && ($_GET['cluster']!= 0)) {
        $filtro.=" AND id_cluster=".$_GET['cluster'];
    }

    //filtro search
    $filtrosearch='';
    if (isset($_GET['search']) && ($_GET['search']!= '')) {
        $filtrosearch=" AND ragione_sociale LIKE ?";
    }


    $orderby=" ORDER BY ragione_sociale ASC";
    if (isset($_GET['ordinamento'])) {
        list($campo,$verso)=explode("|",$_GET['ordinamento']);
        $orderby=" ORDER BY $campo $verso";
    }


    $stmt=$dbh->prepare("SELECT id_agente FROM tb_agenti WHERE (idagentehash = ?) LIMIT 1");
    $stmt->execute(array($idagentehash));

    if ($agente=$stmt->fetch(PDO::FETCH_ASSOC)) {
        //perfetto, ora estraggo tutti i dati dalla anagrafica clienti
        $query="SELECT *,DATE_FORMAT(data_contratto,'%d-%m-%Y') as data_contratto_format FROM tb_contratti JOIN tb_clienti ON tb_contratti.id_cliente=tb_clienti.id_cliente WHERE tb_contratti.id_agente=? AND $filtro $filtrosearch $orderby ";
        //$ret['query']=$query;
        $stmt=$dbh->prepare($query);
        if ($filtrosearch !='') {
            $stmt->execute(array($agente['id_agente'],'%'.$_GET['search'].'%'));
        } else {
            $stmt->execute(array($agente['id_agente']));
        }
        $contratti=Array();
        while ($row=$stmt->fetch(PDO::FETCH_ASSOC)) {
            $row['firma_cliente']=''; //non la passiamo, si risparmiano bytes!!
            $contratti[]=$row;
        }

        //ora estraggo le città, per il filtro delle città
        $query="SELECT DISTINCT sl_localita FROM tb_contratti JOIN tb_clienti ON tb_contratti.id_cliente=tb_clienti.id_cliente WHERE tb_contratti.id_agente=? AND $filtro $filtrosearch order by sl_localita ";
        //$ret['query']=$query;
        $stmt=$dbh->prepare($query);
        if ($filtrosearch !='') {
            $stmt->execute(array($agente['id_agente'],'%'.$_GET['search'].'%'));
        } else {
            $stmt->execute(array($agente['id_agente']));
        }
        $citta=Array();
        while ($row=$stmt->fetch(PDO::FETCH_ASSOC)) {
            $citta[]=$row;
        }

        $ret['result']=true;
        $ret['id_agente']=$agente['id_agente'];
        $ret['contratti']=$contratti;
        $ret['citta']=$citta;
        echo json_encode($ret);
        exit;

    } else {
        $ret['result']=false;
        $ret['error']='Id Agente errato!';
        echo json_encode($ret);
        exit;
    }


} else {
    $ret['result']=false;
    //$ret['post']=$_GET;
    $ret['error']='Parametri non inseriti!';
    echo json_encode($ret);
    exit;
}

?>